package org.ta.pddserver.model.enums;

import lombok.Getter;

public enum IdentityErrorType {
    Correct(1, "正确"),
    TelephoneWrong(302, "用户用的是护照号，校验失败（手机号格式有问题）"),
    NameWrong(303, "用户用的是护照号，校验失败（姓名格式有问题）"),
    UnknownWrong(306, "其它网络类可以重试的未知错误(如依赖下游不可用或超时)"),
    InformationInconsistency(307, "用户用的是通关号，校验失败（无法知道哪个信息错误）"),
    CodeUnused(308, "用户用的是通关号，通关号不存在"),
    CodeTelephoneInconsistency(309, "用户用的是通关号，手机号和通关号不符"),
    CodeNameInconsistency(310, "用户用的是通关号，姓名和通关号不符");
    @Getter
    private int value;
    @Getter
    private String desc;

    IdentityErrorType(int val, String desc) {
        this.value = val;
        this.desc = desc;
    }

}
